package org.phosphoresce.commons.dom;

import org.phosphoresce.commons.util.DocumentUtil;
import org.w3c.dom.Document;

public class TestDOMNode {

	public static void main(String[] args) throws Throwable {
		Document document = DocumentUtil.createDocument("/org/phosphoresce/commons/dom/TestDOMNode.xml");

		DOMNode node = new DOMNode(document);

		System.out.println(node.getChild("domnode").getText());
		System.out.println(node.getChild("domnode").getChild("foo").getChild("bar").getText());
		System.out.println(node.getChild("domnode").getChild("hoge").getAttribute("name"));
	}
}
